com.rscja.team.mtk.system

## Class SystemPropValues_mtk

- java.lang.Object
- - com.rscja.team.mtk.system.SystemPropValues_mtk

-     public class SystemPropValues_mtk
      extends java.lang.Object

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getBlackWhiteListState()`
    `static SystemPropValues_mtk` | `getInstance()`
    `java.lang.String` | `getSN()`
    `boolean` | `isEnable4G()`
    `boolean` | `isEnableBlueth()`
    `boolean` | `isEnableCamera()`
    `boolean` | `isEnableOTG()`
    `boolean` | `isEnableScreenshot()`
    `boolean` | `isEnableSystemSettingButton()`
    `boolean` | `isEnableWifi()`
    `boolean` | `setBlackWhiteListState(int state)`
    `boolean` | `setCameraState(boolean enable)`
    `boolean` | `setEnable4G(boolean enable)`
    `boolean` | `setEnableBlueth(boolean enable)`
    `boolean` | `setEnableScreenshot(boolean enable)`
    `boolean` | `setEnableSystemSettingButton(boolean enable)`
    `boolean` | `setEnableWifi(boolean enable)`
    `boolean` | `setOTGState(boolean enable)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getInstance

          public static SystemPropValues_mtk getInstance()

    - #### setCameraState

          public boolean setCameraState(boolean enable)

    - #### isEnableCamera

          public boolean isEnableCamera()

    - #### setOTGState

          public boolean setOTGState(boolean enable)

    - #### isEnableOTG

          public boolean isEnableOTG()

    - #### setBlackWhiteListState

          public boolean setBlackWhiteListState(int state)

    - #### getBlackWhiteListState

          public int getBlackWhiteListState()

    - #### setEnableWifi

          public boolean setEnableWifi(boolean enable)

    - #### isEnableWifi

          public boolean isEnableWifi()

    - #### setEnableScreenshot

          public boolean setEnableScreenshot(boolean enable)

    - #### isEnableScreenshot

          public boolean isEnableScreenshot()

    - #### setEnableSystemSettingButton

          public boolean setEnableSystemSettingButton(boolean enable)

    - #### isEnableSystemSettingButton

          public boolean isEnableSystemSettingButton()

    - #### setEnableBlueth

          public boolean setEnableBlueth(boolean enable)

    - #### isEnableBlueth

          public boolean isEnableBlueth()

    - #### isEnable4G

          public boolean isEnable4G()

    - #### setEnable4G

          public boolean setEnable4G(boolean enable)

    - #### getSN

          public java.lang.String getSN()